/*!
 * jQuery onData Plugin v1.0
 * http://outwestmedia.com/jquery-refactored/
 *
 * Released: 2009-09-13
 * Version: 1.0
 *
 * Copyright (c) 2009 Jonathan Sharp, Out West Media LLC.
 * Dual licensed under the MIT and GPL licenses.
 * http://docs.jquery.com/License
 */
(function($) {
	// Proxying data & events
	
	// Capture the setData event when data is attached to the document
	// using $(document).data('key', 'value') or using $.setData('key', 'value')
	$(document).bind('setData', function(evt, key, value) {
		$(document).trigger('ondata' + key, [value]);
	});
	
	// Wrapper method for setting data on the document
	$.setData = function(key, value) {
		$(document).data(key, value);
	};
	
	// Attaching onData event listeners
	$.onData = function(key, callback) {
		$(document).bind('ondata' + key, function() {
			var args = Array.prototype.slice.call(arguments, 1);
			callback.call(this, args);
		});
	};
})(jQuery);